import request from '@/utils/request'

// 获取列表
export function getTagList(params) {
  return request({
    url: '/tag/group/list',
    method: 'get',
    params
  })
}

// 同步
export function syncTag(params) {
  return request({
    url: '/tag/sync',
    method: 'get',
    params
  })
}

// 新增标签组
export function addGroup(params) {
  return request({
    url: '/tag/group/add',
    method: 'post',
    params
  })
}

// 新增标签
export function addTag(params) {
  return request({
    url: '/tag/group/tag/add',
    method: 'post',
    params
  })
}

// 删除仓储
export function deleteGroup(params) {
  return request({
    url: '/tag/group/del',
    method: 'post',
    params
  })
}

// 编辑标签组
export function editGroup(params) {
  return request({
    url: '/tag/group/update',
    method: 'post',
    data: params
  })
}

// 获取列表
export function getTagListById(params) {
  return request({
    url: '/tag/group/tag/list',
    method: 'get',
    params
  })
}